This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 431921

Summary: umount a busy NFS mount doesn't give an error, but umount fails
Product: [Fedora] Fedora Reporter: Robert Jackson <bugzilla>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 8CC: kzak
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: nfs-utils-1.1.2-2.fc9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-24 08:48:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Robert Jackson 2008-02-07 15:40:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
In Fedora 8, umount doesn't fail on busy NFS mounts, and instead removes the entry from mtab whilst leaving the directory mounted.

I've given a full example below.

I'm pretty sure earlier versions of Fedora warned when refusing to unmount busy NFS mounts, and left mtab alone.

Please let me know if you require further information.

Cheers

Robert

Version-Release number of selected component (if applicable):
util-linux-ng-2.13-3.2.fc8

How reproducible:
Always


Steps to Reproduce:
1. Create an entry in fstab:

server:/nfs /mnt/nfs nfs tcp,intr,noauto,user 0 0

2. Mount as a non-root user:

mount /mnt/nfs

3. Change directory to mount point:

cd /mnt/nfs

4. Try to umount (still as same non-root user):

umount /mnt/nfs

5. Note the command exits without warning.

6. List the files and note it's still mounted.

ls /mnt/nfs

7. Move out of NFS directory

cd

8. Try to umount again

umount: /mnt/nfs is not mounted (according to mtab)

9. Only way to resolve is to umount as root.

Actual Results:
umount removes mtab entry, but doesn't unmount

Expected Results:
umount should have given an error saying the mount point is busy

Additional info: